{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Oportunidades de venta{% endblock %}
{% block extra_style %}
<link rel="stylesheet" type="text/css" href="{% static 'css/validacion.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/step_wizard.css' %}">
<style>
  .custom-file .custom-file-label:lang(en)::after {
    content: "Selecciona...";
  }

  .visible-add {
    display: inline-table;
  }
</style>
{% endblock %}
{% block content %}
<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
    <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
                {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
    <div class="card-header">
      <h2 class="card-title">Edición de Oportunidad de Venta</h2>
    </div>
    <div class="card-body" style="margin: 0;">

      <div class="stepwizard">
        <div class="stepwizard-row setup-panel">
          <div class="stepwizard-step">
            <a href="#step-1" type="button" class="btn btn-primary btn-circle">1</a>
            <p>Oportunidad</p>
          </div>
          <div class="stepwizard-step">
            <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
            <p>Contacto</p>
          </div>
          <div class="stepwizard-step">
            <a href="#step-3" type="button" class="btn btn-default btn-circle" disabled="disabled">3</a>
            <p>Contactos Adicionales</p>
          </div>
        </div>
      </div>

      <form action="." method="post" role="form" enctype="multipart/form-data">{% csrf_token %}
        <!-- PRIMER STEP-->
        <div class="row setup-content" id="step-1">
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.client.label_tag }}
                {{ form.client|addcss:"form-control" }}
                {% if form.client.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.client.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-3 col-sm-4">
              <div class="form-group">
                {{ form.manual_code.label_tag }}
                {{ form.manual_code|addcss:"form-control" }}
                {% if form.manual_code.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.manual_code.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.product.label_tag }}
                {{ form.product|addcss:"form-control" }}
                {% if form.product.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.product.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-3 col-sm-4">
              <div class="form-group">
                {{ form.subproduct.label_tag }}
                {{ form.subproduct|addcss:"form-control" }}
                {% if form.subproduct.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.subproduct.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.phase.label_tag }}
                {{ form.phase|addcss:"form-control" }}
                {% if form.phase.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.phase.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>

            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.priority.label_tag }}
                {{ form.priority|addcss:"form-control" }}
                {% if form.priority.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.priority.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.company.label_tag }}
                {{ form.company|addcss:"form-control" }}
                {% if form.company.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.company.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_way.label_tag }}
                {{ form.contact_way|addcss:"form-control" }}
                {% if form.contact_way.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_way.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.revenue.label_tag }}
                {{ form.revenue|addcss:"form-control" }}
                {% if form.revenue.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.revenue.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-2 div_real_revenue">
              <div class="form-group">
                {{ form.real_revenue.label_tag }}
                {{ form.real_revenue|addcss:"form-control" }}
                {% if form.real_revenue.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.real_revenue.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-1 div_real_revenue">
              <div class="form-group">
                {{ form.installments.label_tag }}
                {{ form.installments|addcss:"form-control" }}
                {% if form.installments.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.installments.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-1 div_real_revenue">
              <div class="form-group">
                {{ form.installment_period.label_tag }}
                {{ form.installment_period|addcss:"form-control" }}
                {% if form.installment_period.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.installment_period.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-1 div_real_revenue">
              <div class="form-group">
                {{ form.quantity.label_tag }}
                {{ form.quantity|addcss:"form-control" }}
                {% if form.quantity.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.quantity.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-2 div_real_revenue">
              <div class="form-group">
                {{ form.unit_length.label_tag }}
                {{ form.unit_length|addcss:"form-control" }}
                {% if form.unit_length.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.unit_length.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2" hidden="True">
              <div class="form-group">
                {{ form.profit.label_tag }}
                {{ form.profit|addcss:"form-control" }}
                {% if form.profit.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.profit.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2" id="div_reason_loss" style="display: none;">
              <div class="form-group">
                {{ form.reason_loss.label_tag }}
                {{ form.reason_loss|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2 first-payment" style="display: none;">
              <div class="form-group">
                {{ form.first_payment_year.label_tag }}
                {{ form.first_payment_year|addcss:"form-control" }}
                {% if form.first_payment_year.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.first_payment_year.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-sm-2 first-payment" style="display: none;">
              <div class="form-group">
                {{ form.first_payment_month.label_tag }}
                <select class="form-control" id="id_first_payment_month" name="first_payment_month"></select>
                {% if form.first_payment_month.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.first_payment_month.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <div class="row fullWidth">
            <div class="col-sm-8">
              <div class="form-group">
                {{ form.description.label_tag }}
                {{ form.description|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
        <!-- SEGUNDO STEP -->
        <div class="row setup-content" id="step-2">
          <p><strong>Contacto 1</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact.label_tag }}
                {{ form.contact|addcss:"form-control" }}
                {% if form.contact.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position.label_tag }}
                {{ form.contact_position|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_phone_1.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact_phone_1|addcss:"form-control" }}
                {% if form.contact_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_phone_2.label_tag }}
                {{ form.contact_phone_2|addcss:"form-control" }}
                {% if form.contact_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email.label_tag }}<i style="color:red;">(*)</i>
                {{ form.contact_email|addcss:"form-control" }}
                {% if form.contact_email.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <p><strong>Contacto 2</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_2.label_tag }}
                {{ form.contact_2|addcss:"form-control" }}
                {% if form.contact_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_2.label_tag }}
                {{ form.contact_position_2|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_2_phone_1.label_tag }}
                {{ form.contact_2_phone_1|addcss:"form-control" }}
                {% if form.contact_2_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_2_phone_2.label_tag }}
                {{ form.contact_2_phone_2|addcss:"form-control" }}
                {% if form.contact_2_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_2_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_2.label_tag }}
                {{ form.contact_email_2|addcss:"form-control" }}
                {% if form.contact_email_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
        <div class="row setup-content" id="step-3">
          <!-- CONTACTO 3 -->
          <p><strong>Contacto 3</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_3.label_tag }}
                {{ form.contact_3|addcss:"form-control" }}
                {% if form.contact_3.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_3.label_tag }}
                {{ form.contact_position_3|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_3_phone_1.label_tag }}
                {{ form.contact_3_phone_1|addcss:"form-control" }}
                {% if form.contact_3_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_3_phone_2.label_tag }}
                {{ form.contact_3_phone_2|addcss:"form-control" }}
                {% if form.contact_3_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_3_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_3.label_tag }}
                {{ form.contact_email_3|addcss:"form-control" }}
                {% if form.contact_email_3.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_3.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
          <!-- CONTACTO 4 -->
          <hr class="fullWidth">
          <p><strong>Contacto 4</strong></p>
          <div class="row fullWidth">
            <div class="col-sm-4">
              <div class="form-group">
                {{ form.contact_4.label_tag }}
                {{ form.contact_4|addcss:"form-control" }}
                {% if form.contact_4.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-2 col-sm-3">
              <div class="form-group">
                {{ form.contact_position_4.label_tag }}
                {{ form.contact_position_4|addcss:"form-control" }}
              </div>
            </div>
          </div>
          <div class="row fullWidth">
            <div class="col-sm-2">
              <div class="form-group">
                {{ form.contact_4_phone_1.label_tag }}
                {{ form.contact_4_phone_1|addcss:"form-control" }}
                {% if form.contact_4_phone_1.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4_phone_1.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-2">
              <div class="form-group">
                {{ form.contact_4_phone_2.label_tag }}
                {{ form.contact_4_phone_2|addcss:"form-control" }}
                {% if form.contact_4_phone_2.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_4_phone_2.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="offset-sm-1 col-sm-4">
              <div class="form-group">
                {{ form.contact_email_4.label_tag }}
                {{ form.contact_email_4|addcss:"form-control" }}
                {% if form.contact_email_4.errors %}
                  <p>
                    <strong class="valid-text" style="color:red;">{{ form.contact_email_4.errors|striptags}}</strong>
                  </p>
                {% endif %}
              </div>
            </div>
          </div>
            <hr class="fullWidth">
          <br><br>
          <div class="row fullWidth">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
              <a style="width: 200px" class="btn btn-danger pull-left"
                 href="{% url 'sale_opportunity:saleopportunity-list' %}">Cancelar</a>
              <input type="submit" value="Guardar" class="btn btn-primary" style="width: 200px">
            </div>
            <div class="col-sm-3"></div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<div id="myModalValidation" class="modal">
    <div class="modal-content">
      {% if form.errors %}
        <div id="close-valid" class="modal-header">
          <h5>
            <strong><i class="glyphicon glyphicon-remove-circle close-valid"></i>&nbsp;Ocurrió un problema al
              registrar la oportunidad de venta, los siguientes campos son obligatorios:</strong>
          </h5>
                  <span class="close">&times;</span>

        </div>
        <div class="modal-body">
          <ul>
            {% for field in form %}
              {% for error in field.errors %}
                <li>{{ field.label_tag }} {{ error }}</li>
              {% endfor %}
            {% endfor %}
          </ul>
        </div>
      {% endif %}
    </div>
  </div>
{% endblock %}
{% block bottom_scripts %}
<script>
  window.urls = {
    clientes: "{% url 'clients:clients-api' %}",
    productos: "{% url 'products:products-api' %}",
    subproductsApi: "{% url 'products:subproducts-api' %}",
    loadProducto: "{% url 'products:loadproduct' %}"
  };
  function searchAPI($input, $url, $name) {
    $input.select2({
      ajax: {
        delay: 250,
        url: $url,
        dataType: "json",
        data: function (params) {
          var queryParameters = {
            q: params.term
          };
          return queryParameters;
        },
        processResults: function (data) {
          var data = $.map(data, function (obj) {
            obj.text = obj[$name];//full_name;
            return obj;
          });
          return {
            results: data
          };
        }
      },
      placeholder: $input.attr("placeholder"),
      width: "95%",
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "Ingrese 3 o más caracteres";
        },
        searching: function () {
          return "Buscando ..."
        },
        noResults: function () {
          return "No se encontraron resultados";
        }
      }
    });
  }
</script>
<script>
  $('.custom-file-input').on('change', function () {
    console.log($(this)[0].files);
    var fileName = $(this).val().split('\\').pop();
    $(this).next('.custom-file-label').addClass("selected").html(fileName);
//    $(this).siblings('[id ^=id_form-][id $=-path_for_file_doc]')[0].files = $(this)[0].files;
//    console.log($(this).siblings('[id ^=id_form-][id $=-path_for_file_doc]')[0].files);
  });
  $('.link-formset').formset({
    addText: 'Agrega',
    deleteText: 'Remueve'
  });
  function reloadCssAddDeleteAdjunto() {
    $('.delete-row').css({
      'margin-top': '30px',
      'height': '30px',
      'font-size': '12px',
      'display': 'inline-table'
    });
    $('.delete-row').addClass('btn btn-warning');
    $('.delete-row').empty();
    $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');
    $('.add-row').css({
      'margin-top': '50px',
      'height': '30px',
      'font-size': '12px',
      'display': 'table-cell'
    });
    $('.add-row').addClass('btn btn-info');
    $('.add-row').empty();
    $('.add-row').prepend('<i class="fa fa-plus-circle" aria-hidden="true"></i> Agrega');
  }
  function checkHasFileUpload() {

  }
  $(function () {
    $('.custom-file-label').each(function () {

      if ($(this).hasClass("selected")) {
        console.log('go');

      var hiddenValue = $(this).next('.file-path');
      $(this).siblings('[id ^=id_form-][id $=-path_file_doc]').val(hiddenValue.val());
//      console.log(hiddenValue);
      var fileName = hiddenValue.val().split('\\').pop();
      // por seguridad los navegadores no dejan setear al input file el path
      //$(this).siblings('.custom-file-input')[0].value = hiddenValue.val();
      $(this).html(fileName);
      $('.ver-adjunto').show();
      }
    });
    reloadCssAddDeleteAdjunto();
    $('.add-row').click(function () {
      $('.delete-row').css({
        'margin-top': '30px',
        'height': '30px',
        'font-size': '12px',
        'display': 'inline-table'
      });
      $('.delete-row').addClass('btn btn-warning');
      $('.delete-row').empty();
      $('.delete-row').prepend('<i class="fa fa-minus-circle" aria-hidden="true"></i>');

    });
    searchAPI($("#id_client"), window.urls.clientes, "name");

    var phaseInput = $("#id_phase");
    var phase = parseInt(phaseInput.val());
    var firstPaymentDiv = $(".first-payment");
    var realRevenueDiv = $(".div_real_revenue");

    var firstPaymentYear = $('#id_first_payment_year');
    var firstPaymentMonth = $('#id_first_payment_month');
    var currentYear = (new Date).getFullYear();
    var months = [
        {"value": 1, "text": "Enero"},
        {"value": 2, "text": "Febrero"},
        {"value": 3, "text": "Marzo"},
        {"value": 4, "text": "Abril"},
        {"value": 5, "text": "Mayo"},
        {"value": 6, "text": "Junio"},
        {"value": 7, "text": "Julio"},
        {"value": 8, "text": "Agosto"},
        {"value": 9, "text": "Setiembre"},
        {"value": 10, "text": "Octubre"},
        {"value": 11, "text": "Noviembre"},
        {"value": 12, "text": "Diciembre"},
    ];

    function updateMonths(year, selected=null) {
        var newMonths;
        var currentDate = new Date();

        if (year === currentYear + 1) {
            newMonths = months.slice(0, currentDate.getMonth());
        } else {
            newMonths = months.slice(currentDate.getMonth(), 12);
        }

        firstPaymentMonth.html("<option value=''></option>");
        newMonths.forEach(function(e, i) {
             firstPaymentMonth.append("<option value='"+e.value+"'>"+e.text+"</option>");
        });

        if (selected !== null && selected !== "None") {
            firstPaymentMonth.val(parseInt(selected)).change();
        }
    }

    if (phase === 7){
        realRevenueDiv.hide();
        $("#div_reason_loss").show();
    } else {
        if (phase === 5 || phase === 6) {
            realRevenueDiv.show();
            if (phase === 6) {
                firstPaymentDiv.show();
            }
        } else {
           realRevenueDiv.hide();
        }
    }

    phaseInput.change(function () {
        var phase = parseInt($(this).val());
        if (phase === 7) {
            $("#div_reason_loss").show();
            realRevenueDiv.hide();
            $("#id_real_revenue").val("");
            firstPaymentDiv.hide();
        } else {
            if (phase === 5 || phase === 6) {
                realRevenueDiv.show();
                if (phase === 6) {
                    firstPaymentDiv.show();
                } else {
                    firstPaymentDiv.hide();
                }
            } else {
                realRevenueDiv.hide();
                $("#id_real_revenue").val("");
                firstPaymentDiv.hide();
                firstPaymentDiv.find('input').val("");
            }
            $("#div_reason_loss").hide();
            $("#id_reason_loss").val("");
        }
    });

    updateMonths(parseInt(firstPaymentYear.val()), "{{ object.first_payment_month }}");

    firstPaymentYear.change(function() {
        updateMonths(parseInt($(this).val()));
    });

    input_number($("#id_installments"), 2);
    input_number($("#id_installment_period"), 2);
    input_max($("#id_installment_period"), 12);
  });
</script>
<script src="{% static 'js/step_wizard.js' %}"></script>
<script src="{% static 'js/validacion.js' %}"></script>
<script src="{% static 'js/sale_opportunity_create.js' %}"></script>
<script src="{% static 'js/load_subproduct.js' %}"></script>
<script src="{% static 'js/load_product.js' %}"></script>
<script>
    $(function () {
      var modal = $("#myModalValidation");
      var btn = $("#btn-guardar");
      var span = $("#close-valid");
      {% if form.errors %}
        modal.show();
      {% endif %}
      span.on("click", function (e) {
        modal.hide();
      });
      $(window).click(function (e) {
        if (e.target === modal[0]) {
          modal.hide();
        }
      });
    });
</script>
{% endblock %}
